Bug 1274312 - WAS: Hibernate in dashbuilder fails to initialize because of 2 conflicting jars in WEB-INF/lib
WAS: Hibernate in dashbuilder fails to initialize because of 2 conflicting ja...
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Build and Assembly (Show other bugs)
6.2.0
Unspecified Unspecified
urgent Severity urgent
: ER5
: 6.2.0
Assigned To: Petr Široký
Jan Hrcek
: Regression, TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-22 09:17 EDT by Jan Hrcek
Modified: 2015-11-03 10:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
SystemOut.log showing exceptions. (366.55 KB, text/plain)
2015-10-22 09:17 EDT, Jan Hrcek
no flags Details

  None (edit)
Description Jan Hrcek 2015-10-22 09:17:49 EDT
Created attachment 1085504 [details]
SystemOut.log showing exceptions.

Description of problem:
When running dashbuilder on WebSphere, there is a blank page after user logs in and there are tons of occurrences of this NPE in SystemOut.log:
java.lang.NullPointerException
	at org.jboss.dashboard.database.hibernate.HibernateTransaction.begin(HibernateTransaction.java:140)

(see details in SystemOut.log attached)

Digging deeper reveals, that Hibernate fails to initialize, because there are two conflicting implementations of org.jboss.logging.Logger in WAS deployable dashbuilder.war/WEB-INF/lib

This class is present both in 
dashbuilder.war/WEB-INF/lib/jboss-logging-spi-2.2.0.CR1.jar
and 
dashbuilder.war/WEB-INF/lib/jboss-logging-3.1.4.GA-redhat-2.jar

Discussing with engineering reveals, that community WAS assembly does NOT contain the following jar: jboss-logging-spi-2.2.0.CR1.jar

After deleting jboss-logging-spi...jar from the dashbuilder.war/WEB-INF/lib the hibernate initializes fine.

Version-Release number of selected component (if applicable):
BPM Suite 6.2.0 ER4

How reproducible:
Always

Steps to Reproduce:
1. Deploy BPM Suite with some production database (e.g. Oracle12c or any other supported on)
2. Enter credentials in dashbuilder login page and login


Actual results:
Blank page is displayed - NPE appears in SystemOut.log showing that Hibernate was not initialized.


Expected results:
Login is possible in web sphere distribution.

Additional info:
Comment 1 Petr Široký 2015-10-22 09:25:35 EDT
My apologies. The duplicated jars are in the upstream as well. I was originally looking at https://github.com/droolsjbpm/dashboard-builder/tree/master/builder which is OK but is not what actually ends up in the product.

The assembly that is used in product is located here: https://github.com/droolsjbpm/jbpm-dashboard/tree/master/jbpm-dashboard-distributions and after building with "-Dfull -Dproductized" I can see the duplicated jars there. I will fix this asap.
Comment 2 Petr Široký 2015-10-22 10:01:29 EDT
PR sent: https://github.com/droolsjbpm/jbpm-dashboard/pull/8
Comment 3 Ryan Zhang 2015-10-23 06:57:38 EDT
(In reply to Petr Siroky from comment #2)
> PR sent: https://github.com/droolsjbpm/jbpm-dashboard/pull/8

It seems this  have been merged and should we set this to MODIFIED now?
Comment 5 Jan Hrcek 2015-11-03 10:12:20 EST
Dashbuilder is working fine with websphere again! Verified with BPM Suite 6.2.0 ER5.

Note You need to log in before you can comment on or make changes to this bug.